diff --git a/src/studio.c b/src/studio.c
index 7a1664fcb..2901b72fc 100644
--- a/src/studio.c
+++ b/src/studio.c
@@ -49,6 +49,8 @@
 #include <lauxlib.h>
 #include <lualib.h>
 
+#include <locale.h>
+
 #define FRAME_SIZE (TIC80_FULLWIDTH * TIC80_FULLHEIGHT * sizeof(u32))
 #define POPUP_DUR (TIC_FRAMERATE*2)
 
@@ -1808,6 +1810,7 @@ static void studioClose()
 
 Studio* studioInit(s32 argc, char **argv, s32 samplerate, const char* folder, System* system)
 {
+	setlocale(LC_CTYPE, "");
 	setbuf(stdout, NULL);
 	impl.argc = argc;
 	impl.argv = argv;
